Bug 238678 - Selinux complaining about files which do not exist.
Selinux complaining about files which do not exist.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 05:00 EDT by Simon Goodall
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 11:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-05-02 05:00:55 EDT
Description of problem:
I started getting the below warnings recently and I have been unable to remove
them. I've tried restorecon on the dir, creating .autorelabel  and now I have
even removed the rpm in question. selinux is still complaining about the file
labels even though those files no longer exist. Why?

I'm currently running in enforcing mode.

/etc/selinux/targeted/contexts/files/file_contexts: Multiple different
specifications for /usr/lib/vlc/codec/libdmo_plugin.so 
(system_u:object_r:textrel_shlib_t:s0 and system_u:object_r:shlib_t:s0).
/etc/selinux/targeted/contexts/files/file_contexts: Multiple different
specifications for /usr/lib/vlc/codec/librealaudio_plugin.so 
(system_u:object_r:textrel_shlib_t:s0 and system_u:object_r:shlib_t:s0).


Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-62.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-05-03 10:34:33 EDT
Could you execute 

semanage fcontext -l | grep vlc

Comment 2 Simon Goodall 2007-05-03 10:54:57 EDT
Here is the requested output;

/usr/lib/vlc/codec/libdmo_plugin.so                regular file      
system_u:object_r:shlib_t:s0
/usr/lib/vlc/codec/librealaudio_plugin.so          regular file      
system_u:object_r:shlib_t:s0
/usr/lib/vlc/codec/libdmo_plugin.so                all files         
system_u:object_r:textrel_shlib_t:s0
/usr/lib/vlc/codec/librealaudio_plugin.so          all files         
system_u:object_r:textrel_shlib_t:s0
Comment 3 Daniel Walsh 2007-05-03 11:04:53 EDT
semanage fcontext -d /usr/lib/vlc/codec/libdmo_plugin.so
semanage fcontext -d /usr/lib/vlc/codec/librealaudio_plugin.so

Should remove these.

Did you add them?
Comment 4 Simon Goodall 2007-05-03 13:06:44 EDT
That worked thanks. 
They were not something I added myself. Most likely conflicting vlc installs.

Note You need to log in before you can comment on or make changes to this bug.